<div class="row">
    <ul class="small-block-grid-1 medium-block-grid-2 large-block-grid-3">
    {{#each deviceList}}

    <li data-device-id="{{Device_ID}}" class="device-info">

        <ul class="pricing-table active-tb shadow mrgn-20-top">
            <li id="{{Device_ID}}-title" class="title">{{Device_Name}}</li>
            <!--Accordion Panel-->
            <ul class="accordion" data-accordion>
                <li class="accordion-navigation">
                    <a class="device-info" 
                        href="#panel-{{Device_ID}}" 
                        data-icon-id ="{{Icon_ID}}"
                        data-device-id ="{{Device_ID}}">Device Info</a>
                    <div id="panel-{{Device_ID}}" class="content active">
                        <!--On/Off Switch-->
                        <div class="switch round">
                            <hr />
                            <center>
                            <a data-device-id="{{Device_ID}}" data-reveal-id="Modal-icons" href="#" class="choose-icon">
                                <img id="icon-{{Device_ID}}" style="max-height: 65px;" class="device-icon" src="">
                            </a>
                            </center>
                        </div>
                        <hr />
                        <label>
                                <strong>Communication Protocol:</strong> {{Protocol_Name}}
                        </label>
                        <label>
                                <strong>Location:</strong> {{Location_Name}}
                        </label>
                        <hr />
                        <!--End On/Off Switch-->
                    </div>
                </li>
                <li class="accordion-navigation">
                    <a data-device-id="{{Device_ID}}" href="#panel-{{Device_ID}}a" class="device-actions">Device Actions</a>
                    <div id="panel-{{Device_ID}}a" class="content">
                        
                        <ul id="{{Device_ID}}-action-list">

                        </ul>
                        
                    </div>
                </li>
                <li class="accordion-navigation">
                    <a href="#panel-{{Device_ID}}b">Set Preferences</a>
                    <div id="panel-{{Device_ID}}b" class="content">
                        
                        <form class="pref-form">
                            <label>Device Name
                            <!--Change Device Icon Button-->
                                <input data-device-id="{{Device_ID}}" class="rename-input" type="text" value="{{Device_Name}}" />
                            </label>
                            <a data-device-id="{{Device_ID}}" data-reveal-id="Modal-icons" href="#" href="#" class="small button round  choose-icon yourClass"><i class="fi-page-export-csv"></i> Change Icon</a>
                        </form>
                    </div>
                </li>
            </ul>
        <!--End Accordion Panel-->
        </ul>
    </li>
    <!--End Device block item-->

    {{/each}}
    </ul>
</div>
<!--End Row -->

<div id="Modal-icons" class="reveal-modal" data-reveal aria-hidden="true" role="dialog">
    <h2>Choose an Icon</h2>
    <center>
        <ul id="all-icons" class="small-block-grid-3">
        </ul>
        
    </center>
    <a class="close-reveal-modal" aria-label="Close">&#215;</a>
</div>
